using System.Drawing;
using System.Windows.Forms;
using Plux;

namespace Flip {
  public partial class EmptyFlipForm : Form, IFlipFormChild {
    private IFlipForm flipFormParent;

    public EmptyFlipForm(bool front) {
      InitializeComponent();
      Front = front;
      if (front) {
        mainPanel.BackColor = Color.FromArgb(224, 224, 224);
      } else {
        mainPanel.BackColor = Color.FromArgb(169, 169, 169);
      }
      headerPanel.Click += control_Click;
      backPictureBox.Click += control_Click;
      frontPictureBox.Click += control_Click;
      firePictureBox.Click += control_Click;
      flipLinkLabel.Click += control_Click;

    }

    void control_Click(object sender, System.EventArgs e) {
      flipFormParent.Flip();
    }

    public Form Form {
      get { return this; }
    }

    public IFlipForm FlipFormParent {
      set { flipFormParent = value; }
    }

    public bool Front {
      get { return frontPictureBox.Visible; }
      set {
        frontPictureBox.Visible = value;
        backPictureBox.Visible = !value;
      }
    }
  }
}