﻿using Plux;
using Plux.Framework;


internal class ToolStripManager {
  private readonly SlotInfo actionSlot;
  private readonly IToolStrip toolStrip = null;
  private readonly SlotInfo viewSlot;

  public ToolStripManager(PlugInfo plug, SlotInfo viewSlot, SlotInfo actionSlot) {
    this.viewSlot = viewSlot;
    this.actionSlot = actionSlot;
    toolStrip = (IToolStrip)plug.ExtensionInfo.Object;
    toolStrip.SetCreateBehavior(viewSlot,
        plugType => MenuItemInfo.GetMenuPath("&View", 0.4f, plugType));
  }

  public void Close() {
    toolStrip.RemoveCreateBehavior(viewSlot);
  }
}